Summary:	Simple PIM application
Summary(pl.UTF-8):	Prosta aplikacja PIM (do zarządzania informacjami osobistymi)
Name:		osmo
Version:	0.4.4
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/osmo-pim/%{name}-%{version}.tar.gz
# Source0-md5:	4a22d229c57c12899520edecd73e6bb9
Patch0:		%{name}-datadir.patch
URL:		http://clayo.org/osmo/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.6.0
BuildRequires:	gspell-devel >= 1.2.0
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	gtk-webkit4-devel >= 2.8.0
BuildRequires:	libarchive-devel >= 3.0.0
BuildRequires:	libgringotts-devel >= 1.2.1
BuildRequires:	libical-devel >= 1.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pango-devel >= 1:1.20
BuildRequires:	pkgconfig
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	glib2-devel >= 1:2.6.0
Requires:	gspell >= 1.2.0
Requires:	gtk+3 >= 3.10.0
Requires:	gtk-webkit4 >= 2.8.0
Requires:	pango >= 1:1.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Osmo is a handy personal organizer which includes calendar, tasks
manager and address book modules. It was designed to be a small, easy
to use and good looking PIM tool to help to manage personal
information. In current state the organizer is quite convenient in use
- for example, user can perform nearly all operations using keyboard.
  Also, a lot of parameters are configurable to meet user preferences.
  On the technical side, Osmo is GTK+ based tool which use plain XML
  database to store all personal data.

%description -l pl.UTF-8
Osmo to podręczny osobisty organizer, zawierający moduły kalendarza,
zarządzania zadaniami i książki adresowej. Został zaprojektowany jako
małe, łatwe w użyciu i dobrze wyglądające narzędzie PIM, mające pomóc
w zarządzaniu informacjami osobistymi. W aktualnym stanie rozwoju
organizer jest w miarę wygodny w użyciu - na przykład można wykonywać
prawie wszystkie operacje z klawiatury. Ponadto większość parametrów
jest konfigurowalna zgodnie z upodobaniami użytkownika. Od strony
technicznej Osmo jest aplikacją opartą na GTK+, wykorzystującą do
przechowywania danych bazę danych w czystym XML-u.

%prep
%setup -q
%patch -P0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicates of gl,ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{gl_ES,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%banner %{name} -e << EOF

Since version 0.4.0 Osmo uses XDG Base Directory Specification
(http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html)
for storing configuration and data files.

The files are stored in locations indicated by XDG_CONFIG_HOME and
XDG_DATA_HOME environmental variables. Typically, these variables are set
to \$HOME/.config/osmo and \$HOME/.local/share/osmo directories.

In order to run Osmo with other setup, these variables have to be
adjusted - e.g. (for BASH shell):

export XDG_CONFIG_HOME="path/to/osmo/config"
export XDG_DATA_HOME="path/to/osmo/data"

EOF

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TRANSLATORS
%attr(755,root,root) %{_bindir}/osmo
%{_datadir}/%{name}
%{_pixmapsdir}/osmo*.png
%{_pixmapsdir}/moonphase_*.png
%{_desktopdir}/osmo.desktop
%{_iconsdir}/hicolor/*/actions/osmo*
%{_iconsdir}/hicolor/*/apps/osmo.*
%{_mandir}/man1/osmo.1*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/osmo.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 224f1b2
- Release 3 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3271864
- Fix applying patches.

* Tue Sep 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 94237af
- updated dependencies, release 2 (gspell 1.14)

* Tue Mar 15 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b14660b
- update icons cache after (un)install

* Tue Mar 15 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 293e12b
- up to 0.4.4

* Sat Oct 19 2019 Jan Rękorajski <baggins@pld-linux.org> 676b981
- release 5 (by relup.sh)

* Fri Sep 29 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6ca18f5
- release 4 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> c351adc
- disable Werror for automake
- rel 3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 53e599e
- updated gettext BR

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 523cfea
- fixed build with libnotify 0.7
- release 2

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 49d25d6
- port to libnotify 0.7

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> c0172a5
- usr/share/sounds/osmo/alram.wav -> /usr/share/osmo/sounds/alarm.wav

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> 8ba9a2c
- /usr/share/sounds/osmo/alram.wav -> /usr/share/osmo/sounds/alarm.wav
- use auto*

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> a1ef726
- 0.2.10
- TODO added

* Wed Nov 04 2009 lisu <lisu@pld-linux.org> 38ca71f
- up to 0.2.8
- chnages in %%files
- new URL

* Sat Jul 26 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 36e4b67
- fix locale name (zh -> zh_CN)
- release 2

* Thu Jul 24 2008 arvenil <arvenil@pld-linux.org> 7d49b7a
- up to 0.2.2
- added libsyncml bcond
- BR: libsyncml-devel
- BR: gettext-devel
- cleanup

* Sat Apr 05 2008 Tomasz Pala <gotar@pld-linux.org> af79908
- upgraded to 0.2.0 (TODO: PLD-ize desktop file)

* Mon Mar 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 3c101df
- pl, more docs and BRs

* Mon Oct 22 2007 aredridel <aredridel@pld-linux.org> 8a13d8e
- added

